﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;

namespace _91656
{
    class MyCreation:IUIElementCreationFilter
    {
        string myCaption = "";

        public string MyCaption
        {
            get { return myCaption; }
            set { myCaption = value; }
        }

        #region IUIElementCreationFilter Members

        public MyCreation() { }

        public MyCreation(string MyCaption) { this.myCaption = MyCaption; }

        public void AfterCreateChildElements(UIElement parent)
        {
            RowCellAreaUIElement row = parent as RowCellAreaUIElement;
            if (row != null && row.Row.IsTemplateAddRow )
            {
                CellUIElement cell = (CellUIElement)row.Row.Cells[0].GetUIElement();
                cell.Rect = row.Rect;
                TextUIElement text = new TextUIElement(cell, myCaption);
                text.Rect = row.Rect;
                row.ChildElements.Remove (cell);
                row.ChildElements.Add(cell);
                row.ChildElements.Add(text);
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }

        #endregion
    }
}
